BuddyDev

BuddyPress Confirm Actions

BP Confirm Actions plugin is a tiny plugin which helps you to make your social network more usable.

The BP Confirm Actions plugin does  following:-

  • Ask for confirmation when cancel friendship is clicked
  • Asks for confirmation when leave group is clicked
  • Asks for confirmation when unfollow button is clocked(if you have this plugin http://wordpress.org/extend/plugins/buddypress-follow-me/ installed)

Screenshots:-

The source code for this plugin is available on github.

Gtihub link:- https://github.com/sbrajesh/bp-confirm-actions

For more details, why not read this post : https://buddydev.com/buddypress/bp-confirm-actions-ask-users-to-confirm-the-cancel-friendshipleave-group-actions/

Release History

  • Version: 1.0.6

    Monday, 07 October, 2019
    • Tested With: BuddyPress 5.0
    • Compatible With: BuddyPress 2.5+

    Fit pt-settings issue.

  • Version: 1.0.5

    Friday, 19 April, 2019
    • Tested With: BuddyPress 4.2
    • Compatible With: BuddyPress 2.5+

    Fix the settings menu.

  • Version: 1.0.4

    Thursday, 18 April, 2019
    • Tested With: BuddyPress 4.2.0
    • Compatible With: BuddyPress 2.5+

    * Added support for activity delete action in legacy template
    * Added setting to enable confirm action on unfriend, cancel friendship request,leave group, unfollow, delete activity

  • Version: 1.0.3

    Tuesday, 06 November, 2018
    • Tested With: BuddyPress 3.2
    • Compatible With: BuddyPress 2.5+

    Fix translations and cleanup code.

  • Version: 1.0.2

    Tuesday, 06 June, 2017
    • Tested With: BuddyPress 2.8.2
    • Compatible With: BuddyPress 1.7+/BuddyPress1.8

    Fixed the logcal bug where assignment was used instead of equality.
    props Muhammad Yahya Muhaimin

  • Version: 1.0.1

    Saturday, 13 April, 2013
    • Tested With: BuddyPress 1.7
    • Compatible With: BuddyPress 1.6+

    Updated to handle the friendship cancellation properly

  • Version: 1.0

    Monday, 25 February, 2013
    • Tested With: BuddyPress 1.6/BuddyPress 1.7 beta
    • Compatible With: BuddyPress 1.6+

    The Initial release for BuddyPress 1.6.x/BuddyPress 1.7.x

Subscribe